This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 232235 - Affected Systems counts in webui incorrect and/or confusing
Affected Systems counts in webui incorrect and/or confusing
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn500
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-14 11:04 EDT by Máirín Duffy
Modified: 2007-03-23 10:05 EDT (History)
3 users (show)

See Also:
Fixed In Version: 500
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-15 10:59:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
erratum > affected systems tab (123.23 KB, image/png)
2007-03-14 11:15 EDT, Máirín Duffy
no flags Details

  None (edit)
Description Máirín Duffy 2007-03-14 11:04:38 EDT
Scenario:

System has not checked into RHN in a while. An errata is released that applies
to it. A week later, the errata has not been applied (of course, the system has
not checked in) but auto-errata update has scheduled the errata application.

Here is how various pages in the webui reflect this scenario currently (RHN 500):

- /rhn/errata/details/SystemsAffected.do? ('Affected Systems' tab for the errata)
  says 'no systems'

- /network/systems/details/history/pending.pxt ('Events > Pending' tab for the
SDC of the system)
  lists 'errata update scheduled by (none)' <= for the errata. scheduled on the
same day the errata was released.

- /rhn/systems/details/ErrataList.do ('Software > Errata' tab for the SDC of the
system)
  does *not* list the errata in question. Lists other erratas though, with the
clock icon to indicate they are pending. However, today is 3/14, the errata in
our example was released 3/8, the most recent errata listed on this page is 1/11

- /rhn/systems/details/packages/UpgradeablePackages.do ('Software > Packages >
Upgrade' tab for SDC) 
  just to verify, errata does not show up on this list. errata is for evolution
and no evolution upgrades are listed here.

- /rhn/errata/AllErrata.do (all errata page)
  errata is shown on this screen, but the 'systems' column says there are 0
systems that it applicable to. How about our system that has it pending? perhaps
the column should list pending and still applicable?

- /network/systems/details/history/event.pxt ('events > pending' tab in sdc)
  shows the errata is scheduled / queued and not yet picked up by system

Note that the errata in question was released pre-RHN500.
Comment 10 daryl herzmann 2007-03-15 10:49:14 EDT
So checking things this morning for the system in question:

- /rhn/errata/details/SystemsAffected.do?

OK - lists machine

- /network/systems/details/history/pending.pxt

No pending events 

- /rhn/systems/details/ErrataList.do

OK - wireshark is listed

- /rhn/systems/details/packages/UpgradeablePackages.do

OK - wireshark is listed

- /rhn/errata/AllErrata.do

Machine count appears to be correct

- /network/systems/details/history/event.pxt

Hmmm, I can't find anything here.  I was expecting to find the scheduling of
wireshark?  Perhaps this is the only remaining issue?

Otherwise, looks very good :)
Comment 11 Máirín Duffy 2007-03-15 10:59:38 EDT
this bug seems all set except that the errata action was not scheduled. since
that issue is captured in bug 232341, I'm going to close this bug out.

Note You need to log in before you can comment on or make changes to this bug.